- Qt 5.15
- Qt 3D
- C++ Classes
- QNode
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QNode

The following members of class QNode are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QNodeCommand::CommandId | sendCommand(const QString &name, const QVariant &data = QVariant(), QNodeCommand::CommandId replyTo = QNodeCommand::CommandId())
`(obsolete)` void | sendReply(const QNodeCommandPtr &command)

## Protected Functions

`(obsolete)` virtual void | sceneChangeEvent(const QSceneChangePtr &change)

## Member Function Documentation

### `[virtual protected]` void QNode::sceneChangeEvent(const QSceneChangePtr &change)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Called when one or more backend aspects sends a notification change to the current Qt3DCore::QNode instance.

Note: This method should be reimplemented in your subclasses to properly handle the change.

### QNodeCommand::CommandId QNode::sendCommand(const QString &name, const QVariant &data = QVariant(), QNodeCommand::CommandId replyTo = QNodeCommand::CommandId())

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Sends a command message to the backend node

Creates a QNodeCommand message and dispatches it to the backend node. The command is given and a name and some data which can be used in the backend node to perform various operations. This returns a CommandId which can be used to identify the initial command when receiving a message in reply. If the command message is to be sent in reply to another command, replyTo contains the id of that command.

See also QNodeCommand and QNode::sendReply.

### void QNode::sendReply(const QNodeCommandPtr &command)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Send a command back to the backend node.

Assumes the command is to be to sent back in reply to itself to the backend node.

See also QNodeCommand and QNode::sendCommand.